# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewField

Function

Creates a new Field Object.

Syntax
`
#include <dx/dx.h>
`

Field DXNewField()

Functional Details

The Field Object is the fundamental Object in Data Explorer. It consists of zero or more named components, usually Arrays, that are accessed with `DXGetComponentValue` or `DXGetEnumeratedComponentValue`. Initially, the Field has no components and is said to be empty; `DXEmptyField` returns "1" for such Fields. Components are inserted in the Field using the function `DXSetComponentValue`.

There are several predefined component names in Data Explorer. The component "positions" generally refers to the points in the data space where the field is sampled; "connections" are the relationships between the "positions" and their interpolation; "data" refers to the values either at the "positions" or for each whole "connections" element.

The Field created can be deleted with DXDelete. See 4.2 , "Memory Management".

Note that certain attributes on the components on a field are necessary for proper processing of the field. For example, a "connections" component must "ref" the "positions" component, and the "data" component must "dep" either the "positions" or "connections" component (see Table 2 in IBM Visualization Data Explorer User's Guide, and 4.1 , "Data Explorer Data Model").

It is recommended that DXEndField be called on any field created when you are finished adding components to it. DXEndField trims away allocated but unused space in the component arrays, and will in addition, set some default component attributes. See DXEndField for more information.

See Chapter 3. "Understanding the Data Model" in IBM Visualization Data Explorer User's Guide for additional information on the Data Explorer data model.

Return Value

Returns the Field or returns `NULL` and sets an error code.

See Also

`DXEmptyField, DXGetComponentValue, DXGetEnumeratedComponentValue, DXSetComponentValue`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]